Bug 435370 - Review Request: cpdup - Filesystem mirroring utility
Review Request: cpdup - Filesystem mirroring utility
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 16:05 EST by Michel Alexandre Salim
Modified: 2008-04-09 01:15 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.07-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 01:12:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rjones: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-02-28 16:05:06 EST
Spec URL: http://salimma.fedorapeople.org/for_review/bsd/cpdup.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/bsd/cpdup-1.07-1.fc9.src.rpm
Description:

The cpdup utility makes an exact mirror copy of the source in the
destination, creating and deleting files and directories as necessary.
UTimes, hardlinks, softlinks, devices, permissions, and flags are
mirrored.  By default, cpdup asks for confirmation if any file or
directory needs to be removed from the destination and does not copy
files which it believes to have already been synchronized (by
observing that the source and destination file’s size and mtimes
match).  cpdup does not cross mount points in either the source or the
destination.  As a safety measure, cpdup refuses to replace a
destination directory with a file.
Comment 1 Parag AN(पराग) 2008-02-28 22:45:15 EST
why this package have
ExcludeArch:    x86_64
ExcludeArch:    ppc64 ?
Comment 2 Richard W.M. Jones 2008-02-29 04:38:24 EST
Starting review on this in an hour or two.
Comment 3 Richard W.M. Jones 2008-02-29 05:55:49 EST
+ rpmlint output
  no output from rpmlint
+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
  BSD
+ license matches the actual package license
+ %doc includes license file
  there is no license file included
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  md5: 4f9d132f5a81d3f38b53267ae7af24a8
+ package successfully builds on at least one architecture
  i386
? ExcludeArch bugs filed
  Please file ExcludeArch bugs if necessary, and post the bug numbers here.
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
+ large documentation files should go in -doc subpackage
  N/A
+ files marked %doc should not affect package
+ header files should be in -devel
+ static libraries should be in -static
+ packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
+ libfoo.so must go in -devel
+ -devel must require the fully versioned base
+ packages should not contain libtool .la files
+ packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

? if there is no license file, packager should query upstream
+ translations of description and summary for non-English languages, if available
? reviewer should build the package in mock
- the package should build into binary RPMs on all supported architectures
? review should test the package functions as described
+ scriptlets should be sane
+ pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

--------

Please file those ExcludeArch bugs if necessary and put the
bug numbers here, and then I can approve this.
Comment 4 Michel Alexandre Salim 2008-02-29 15:15:36 EST
OK. I was going to file the bug /after/ the package is approved, but I guess it
can always be redirected to the right component, once the package is in the
repository.

https://bugzilla.redhat.com/show_bug.cgi?id=435508

(ps Parag, sorry, I meant to mention it when filing the review)
Comment 5 Kevin Fenzi 2008-03-02 13:41:51 EST
Please don't file non review requests in package review. ;) 

"New packages will not have bugzilla entries during the review process, so they
should put this description in the comment until the package is approved, then
file the bugzilla entry, and replace the long explanation with the bug number."
Comment 6 Michel Alexandre Salim 2008-03-03 16:48:36 EST
Argh, sorry -- that was the original intention. Richard, is everything else in
working order?
Comment 7 Richard W.M. Jones 2008-03-04 04:25:09 EST
I just want to see some ExcludeArch bugs filed, because this
package doesn't build on x86-64 and ppc64.  Maybe they are
already filed.  Post the bug numbers here then I'll approve it.
Comment 8 Richard W.M. Jones 2008-03-04 04:34:16 EST
OK I see that bug 435508 is an attempt at this.

You need one bug per architecture and they have to block the trackers
for the architectures.  This is all explained here:

http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
Comment 9 Kevin Fenzi 2008-03-04 11:30:22 EST
Richard: Did you see the quote from the guidelines in comment #5? 

You shouldn't file bugs before the package is approved and has it's own bugzilla
component to file them against. For review they can add a comment until they are
approved. 
Comment 10 Richard W.M. Jones 2008-03-04 11:43:58 EST
Oh I see, right.  That makes sense.

So APPROVED, but please remember to file the bugs after :-)
Comment 11 Michel Alexandre Salim 2008-03-04 16:47:34 EST
Thanks. And yes, will create another entry for ppc64 (IMHO it's a waste of a
bugzilla id, since it's really the same bug, but I won't quibble) and move the
existing bug entry once the package is in.

New Package CVS Request
=======================
Package Name: cpdup
Short Description: Filesystem mirroring utility
Owners: salimma
Branches: EL-5 F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2008-03-05 14:45:37 EST
cvs done.
Comment 13 Michel Alexandre Salim 2008-03-05 19:39:34 EST
Package built, thanks
Comment 14 Fedora Update System 2008-03-06 15:51:13 EST
cpdup-1.07-1.fc7 has been submitted as an update for Fedora 7
Comment 15 Fedora Update System 2008-03-06 15:51:45 EST
cpdup-1.07-1.fc8 has been submitted as an update for Fedora 8
Comment 16 Fedora Update System 2008-04-09 01:12:38 EDT
cpdup-1.07-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2008-04-09 01:15:26 EDT
cpdup-1.07-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.